@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  display: block;
}

// form field
app-form-field {
  margin-bottom: 15px;
}

// options
.app-options {
  @include flex(center);
  margin-bottom: 15px;
}

// radio
.app-radio {
  @include ubuntuRegular;
  @include widthBetweenGap(7px, 2);
  @include flex(center);
  font-size: 12px;
  line-height: 13px;
  cursor: pointer;

  app-radio {
    margin-right: 5px;
  }
}

// checkbox
.app-checkbox {
  @include ubuntuRegular;
  @include flex(center);
  font-size: 12px;
  line-height: 13px;
  cursor: pointer;

  app-checkbox {
    margin-right: 5px;
  }
}

app-side-modal-content {
  height: calc(100% - 58px - 75.5px);
}

app-custom-scrollbar {
  height: 100%;
}

app-side-modal-footer {
  button {
    width: 80px;
    height: 28px;
    font-size: 10px;
    line-height: 11px;
  }

  button + button {
    margin-left: 7px;
  }

  app-spinner {
    width: 100%;

    ::ng-deep {
      .app-spinner {
        @include ball(28px);
      }
    }
  }
}
